REGISTER_FILESYSTEM(9)

NAME
register_filesystem - register a new filesystem

SYNOPSIS

int register_filesystem (struct file_system_type * fs);

ARGUMENTS

fs  the file system structure

DESCRIPTION

Adds the file system passed to the list of file systems the kernel is aware of for mount and other syscalls. Returns 0 on success, or a negative errno code on an error.

The &struct file_system_type that is passed is linked into the kernel structures and must not be freed until the file system has been unregistered.